using System.ComponentModel;
using Nuwanda.Common;

namespace Nuwanda.TfsSpotlight.Shell.Data
{
    /// <summary>Describes base entity</summary>
    [Author("Bartomiej Legid")]
    public interface IBaseEntity : INotifyPropertyChanged, IDataErrorInfo
    {
        /// <summary>Checks whether entity has been modified</summary>
        bool IsDirty { get; }

        /// <summary>Marks entity as old (= not dirty)</summary>
        void MarkOld();

        /// <summary>Checks whether entity is valid</summary>
        bool IsValid { get; }
    }
}