using System.Windows.Forms;

namespace Nuwanda.TfsSpotlight.Shell.Proxies.Interfaces
{
    /// <summary>Describes a tab</summary>
    public interface ITabStripItem
    {
        /// <summary>A control that fills the tabs space</summary>
        Control View { get; set; }

        /// <summary>Tab presenter</summary>
        ITabPresenter Presenter { get; set; }

        bool Locked { get; set; }

        /// <summary>Sets the caption that apears on a tab</summary>
        void SetCaption(string caption);

        /// <summary>Refreshes a tab caption</summary>
        void RefreshCaption();
    }
}