using System;
using System.Windows.Forms;
using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Shell.Proxies.Interfaces;

namespace Nuwanda.TfsSpotlight.Shell.Proxies
{
    [Author("Bartomiej Legid")]
    public class SaveFileDialogProxy : ISaveFileDialog
    {
        private SaveFileDialog SaveFileDialog { get; set; }

        public SaveFileDialogProxy(SaveFileDialog saveFileDialog)
        {
            SaveFileDialog = saveFileDialog;
        }

        public void SetFilter(string filter, int filterIndex)
        {
            this.SaveFileDialog.Filter = filter;
            this.SaveFileDialog.FilterIndex = filterIndex;
        }

        public DialogResult Show()
        {
            this.SaveFileDialog.FileName = String.Empty;
            return this.SaveFileDialog.ShowDialog();
        }

        public string SelectedFileName
        {
            get { return this.SaveFileDialog.FileName; }
        }

        public bool RestoreDirectory
        {
            set { this.SaveFileDialog.RestoreDirectory = value; }
        }
    }
}