using System;
using System.Windows.Forms;
using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Shell.Expressions;
using Nuwanda.TfsSpotlight.Shell.Proxies.Interfaces;
using Nuwanda.TfsSpotlight.Shell.Services.Interfaces;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Shell.Services
{
    [Author("Bartomiej Legid")]
    [Pluggable("DialogService")]
    public class DialogService : IDialogService
    {
        public ISaveFileDialog SaveFileDialog { get; set; }

        public DialogService(ISaveFileDialog saveFileDialog)
        {
            SaveFileDialog = saveFileDialog;
        }

        public ISaveFileDialogConfigurationExpression ConfigureSaveFileDialogBox()
        {
            return new SaveFileDialogConfigurationExpression(this.SaveFileDialog);
        }

        public string GetFileNameForSave()
        {
            if(this.SaveFileDialog.Show() == DialogResult.OK)
            {
                return this.SaveFileDialog.SelectedFileName;
            }

            return String.Empty;
        }
    }
}