using System.Drawing;
using StructureMap;
using StructureMap.Attributes;

namespace Nuwanda.TfsSpotlight.Shell.Services.Interfaces
{
    /// <summary>Provides system clipboard services</summary>
    [PluginFamily("ClipboardService", Scope = InstanceScope.Singleton)]
    public interface IClipboardService
    {
        /// <summary>Puts given <paramref name="content"/> into the system clipboard.</summary>
        /// <param name="content">Content to put.</param>
        void SetText(string content);

        /// <summary>Puts a given <paramref name="image"/> into the system clipboard.</summary>
        /// <param name="image">An image to put.</param>
        void SetImage(Image image);

        string GetText();
    }
}