using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Shell.Services.Interfaces;
using Nuwanda.TfsSpotlight.Views.Servers;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Commands
{
    /// <summary>Conects to the selected server</summary>
    [Author("Bartomiej Legid")]
    [Pluggable(CommandsNames.AutoConnect)]
    public class AutoConnectCommand : ICommand
    {
        private IServersPresenter ServersPresenter { get; set; }

        public AutoConnectCommand(IServersPresenter serversPresenter)
        {
            this.ServersPresenter = serversPresenter;
        }

        public void Execute()
        {
            this.ServersPresenter.HandleAutoConnect();
        }
    }
}