using System;
using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Services.Interfaces;
using Nuwanda.TfsSpotlight.Shell.Services.Interfaces;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Commands
{
    /// <summary>Clears a history.</summary>
    [Author("Bartomiej Legid")]
    [Pluggable(CommandsNames.ClearHistory)]
    public class ClearHistoryCommand : ICommand
    {
        private IHistoryService HistoryService { get; set; }

        public ClearHistoryCommand(IHistoryService historyService)
        {
            HistoryService = historyService;
        }

        public void Execute()
        {
            this.HistoryService.ClearHistory();
        }
    }
}