using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Data;
using Nuwanda.TfsSpotlight.Shell.Services.Interfaces;
using Nuwanda.TfsSpotlight.Views.CreateWorkItem;
using Nuwanda.TfsSpotlight.Views.Servers;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Commands
{
    [Author("Bartomiej Legid")]
    [Pluggable(CommandsNames.CreateWorkItem)]
    public class CreateWorkItemCommand : ICommand
    {
        private IObjectFactory ObjectFactory { get; set; }
        private ITabsService TabsService { get; set; }
        private IServersPresenter ServersPresenter { get; set; }

        public CreateWorkItemCommand(IObjectFactory objectFactory, ITabsService tabsService, IServersPresenter serversPresenter)
        {
            this.ObjectFactory = objectFactory;
            this.TabsService = tabsService;
            ServersPresenter = serversPresenter;
        }

        public void Execute()
        {
            var preseter = this.ObjectFactory.GetInstance<ICreateWorkItemPresenter>();

            var activeTab = this.TabsService.GetActiveTab<IProjectInfo>();
            var selectedProject = this.ServersPresenter.GetSelectedProject();

            if(selectedProject == null && activeTab != null)
            {
                selectedProject = activeTab.Project;
            }

            preseter.Initialize(selectedProject);
            preseter.Show();
        }
    }
}