using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Shell.Services.Interfaces;
using Nuwanda.TfsSpotlight.Views.Servers;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Commands
{
    /// <summary>Disconnects from the selected server</summary>
    [Author("Bartomiej Legid")]
    [Pluggable(CommandsNames.Disconnect)]
    public class DisconnectCommand : ICommand
    {
        private IServersPresenter ServersPresenter { get; set; }

        public DisconnectCommand(IServersPresenter serversPresenter)
        {
            this.ServersPresenter = serversPresenter;
        }

        public void Execute()
        {
            this.ServersPresenter.HandleDisconnectSelected();
        }
    }
}