﻿using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Shell.Services.Interfaces;
using Nuwanda.TfsSpotlight.Views.Query;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Commands
{
    /// <summary>Moves to the next work item from the active query</summary>
    [Author("Bartłomiej Legiędź")]
    [Pluggable(CommandsNames.GoToNextWorkItem)]
    public class GoToNextWorkItemCommand : TabCommandBase<IQueryPresenter>
    {
        public GoToNextWorkItemCommand(ITabsService tabsService) : base(tabsService) {}

        protected override void SubExecute(IQueryPresenter presenter)
        {
            presenter.HandleSelectNextWorkItem();
        }
    }
}
