using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Shell.Services.Interfaces;
using Nuwanda.TfsSpotlight.Views.Builds;
using Nuwanda.TfsSpotlight.Views.Servers;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Commands
{
    [Author("Bartomiej Legid")]
    [Pluggable(CommandsNames.OpenBuild)]
    public class OpenBuildCommand : ICommand
    {
        private ITabsService TabsService { get; set; }
        private IServersPresenter ServersPresenter { get; set; }

        public OpenBuildCommand(ITabsService tabsService, IServersPresenter serversPresenter)
        {
            this.TabsService = tabsService;
            this.ServersPresenter = serversPresenter;
        }

        public void Execute()
        {
            var selectedBuild = this.ServersPresenter.GetSelectedBuild();
            if(selectedBuild == null) return;

            var buildsPresenter = ObjectFactory.GetInstance<IBuildsPresenter>();
            buildsPresenter.Initialize(selectedBuild);

            this.TabsService.OpenTab(buildsPresenter);
        }
    }
}