using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Shell.Services.Interfaces;
using Nuwanda.TfsSpotlight.Views.ChartView;
using Nuwanda.TfsSpotlight.Views.Query;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Commands
{
    [Author("Bartomiej Legid")]
    [Pluggable(CommandsNames.OpenChart)]
    public class OpenChartCommand : ICommand
    {
        private ITabsService TabsService { get; set; }

        public OpenChartCommand(ITabsService tabsService)
        {
            this.TabsService = tabsService;
        }

        public void Execute()
        {
            var queryTab = this.TabsService.GetActiveTab<IQueryPresenter>();
            if(queryTab == null) return;

            var chartModel = ObjectFactory.GetInstance<IChartModel>();
            chartModel.Load(queryTab.Query, queryTab.DataSource);

            var chartPresenter = ObjectFactory.With(chartModel).GetInstance<IChartPresenter>();
            chartPresenter.Initialize();

            this.TabsService.OpenTab(chartPresenter);
        }
    }
}