using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Shell.Services.Interfaces;
using Nuwanda.TfsSpotlight.Views.Options;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Commands
{
    [Author("Bartomiej Legid")]
    [Pluggable(CommandsNames.OpenSettings)]
    public class OpenSettingsCommand : ICommand
    {
        private ITabsService TabsService { get; set; }
        private IObjectFactory ObjectFactory{ get; set; }

        public OpenSettingsCommand(ITabsService tabsService,
                                   IObjectFactory objectFactory)
        {
            this.TabsService = tabsService;
            this.ObjectFactory = objectFactory;
        }

        public void Execute()
        {
            var presenter = this.ObjectFactory.GetInstance<IOptionsPresenter>();
            presenter.Initialize();

            this.TabsService.OpenTab(presenter);
        }
    }
}