using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Shell.Services.Interfaces;
using Nuwanda.TfsSpotlight.Views.Servers;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Commands
{
    /// <summary>Reconnects to the selected server</summary>
    [Author("Bartomiej Legid")]
    [Pluggable(CommandsNames.Reconnect)]
    public class ReconnectCommand : ICommand
    {
        private IServersPresenter ServersPresenter { get; set; }

        public ReconnectCommand(IServersPresenter serversPresenter)
        {
            this.ServersPresenter = serversPresenter;
        }

        public void Execute()
        {
            var serverPresenter = this.ServersPresenter.GetSelectedServer();
            if(serverPresenter == null) return;

            serverPresenter.HandleReconnect();
        }
    }
}