using System;
using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Shell.Services.Interfaces;
using Nuwanda.TfsSpotlight.Views.Servers;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Commands
{
    /// <summary>Refreshes projects of currently selected server</summary>
    [Author("Bartomiej Legid")]
    [Pluggable(CommandsNames.RefreshProjects)]
    public class RefreshProjectsCommand : ICommand
    {
        private IServersPresenter ServersPresenter { get; set; }

        public RefreshProjectsCommand(IServersPresenter serversPresenter)
        {
            ServersPresenter = serversPresenter;
        }

        public void Execute()
        {
            var serverPresenter = this.ServersPresenter.GetSelectedServer();
            if (serverPresenter == null) return;

            serverPresenter.HandleRefreshProjects();
        }
    }
}