using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Shell.Proxies.Interfaces;
using Nuwanda.TfsSpotlight.Shell.Services.Interfaces;
using Nuwanda.TfsSpotlight.Views.Query;
using Nuwanda.TfsSpotlight.Views.Servers;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Commands
{
    /// <summary>Conects to the selected server</summary>
    [Author("Bartomiej Legid")]
    [Pluggable(CommandsNames.RunQuery)]
    public class RunQueryCommand : ICommand
    {
        private ITabsService TabsService { get; set; }
        private IServersPresenter ServersPresenter { get; set; }

        public RunQueryCommand(ITabsService tabsService, IServersPresenter serversPresenter)
        {
            TabsService = tabsService;
            ServersPresenter = serversPresenter;
        }

        public void Execute()
        {
            var query = this.ServersPresenter.GetSelectedQuery();
            if (query == null) return;

            var presenter = ObjectFactory.GetInstance<IQueryPresenter>();
            presenter.Initialize(query);

            this.TabsService.OpenTab(presenter as ITabPresenter);
        }
    }
}