using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Shell.Proxies.Interfaces;
using Nuwanda.TfsSpotlight.Shell.Services.Interfaces;
using Nuwanda.TfsSpotlight.Views.GoToWorkItem;
using Nuwanda.TfsSpotlight.Views.Query;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Commands
{
    [Author("Bartomiej Legid")]
    [Pluggable(CommandsNames.SearchWorkItemsByTitle)]
    public class SearchWorkItemsByTitleCommand : ICommand
    {
        private ITabsService TabsService { get; set; }
        private IGoToWorkItemPresenter GoToWorkItemPresenter { get; set; }

        public SearchWorkItemsByTitleCommand(ITabsService tabsService, IGoToWorkItemPresenter goToWorkItemPresenter)
        {
            TabsService = tabsService;
            GoToWorkItemPresenter = goToWorkItemPresenter;
        }

        public void Execute()
        {
            var presenter = ObjectFactory.GetInstance<IQueryPresenter>();
            presenter.Initialize(this.GoToWorkItemPresenter.SearchString, this.GoToWorkItemPresenter.SelectedProject);
            this.TabsService.OpenTab(presenter as ITabPresenter);
        }
    }
}