using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Shell.Services.Interfaces;

namespace Nuwanda.TfsSpotlight.Commands
{
    /// <summary>Base class for all commands acting on current tab</summary>
    [Author("Bartomiej Legid")]
    public abstract class TabCommandBase<T> : ICommand
    {
        private ITabsService TabsService { get; set; }

        protected TabCommandBase(ITabsService tabsService)
        {
            this.TabsService = tabsService;
        }

        public void Execute()
        {
            var presenter = this.TabsService.GetActiveTab<T>();
            if(!Equals(presenter, default(T)))
            {
                SubExecute(presenter);
            }
        }

        /// <summary>Implement this method to provide custom command behaviour</summary>
        /// <param name="presenter">Presenter of a current tab</param>
        protected abstract void SubExecute(T presenter);
    }
}