using System;
using Nuwanda.Common;

namespace Nuwanda.TfsSpotlight.Data
{
    [Author("Bartomiej Legid")]
    [Serializable]
    public class HistoryEntry
    {
        public int Id { get; set; }
        public string Title { get; set; }
        public DateTime ModificationDate { get; set; }
        public string ServerUrl { get; set; }
        public HistoryOperationType OperationType { get; set; }
        
        public HistoryEntry() : this(-1, String.Empty, String.Empty, HistoryOperationType.None) { }

        public HistoryEntry(int id, string title, string serverUrl, HistoryOperationType operationType)
        {
            Id = id;
            Title = title;
            ModificationDate = DateTime.Now;
            ServerUrl = serverUrl;
            OperationType = operationType;
        }

        public override bool Equals(object obj)
        {
            if(obj is HistoryEntry)
            {
                var entry = obj as HistoryEntry;
                return entry.Id == this.Id;
            }
            
            return base.Equals(obj);
        }

        public override int GetHashCode()
        {
            return this.Id.GetHashCode();
        }
    }
}