﻿using Nuwanda.Common;
using Microsoft.TeamFoundation.WorkItemTracking.Client;
using Microsoft.TeamFoundation.WorkItemTracking.Controls;
using System.Diagnostics;

namespace Nuwanda.TfsSpotlight.Data
{
    /// <summary>Stores data describing query result</summary>
    [Author("Bartłomiej Legiędź")]
    public sealed class QueryResult
    {
        /// <summary>Query result</summary>
        public WorkItemCollection Result { [DebuggerStepThrough] get; private set; }

        /// <summary>Query result options</summary>
        public ResultOptions Options { [DebuggerStepThrough] get; private set; }

        public QueryResult(WorkItemCollection result, ResultOptions options)
        {
            this.Result = result;
            this.Options = options;
        }
    }
}
