﻿using Nuwanda.Common;

namespace Nuwanda.TfsSpotlight.Data
{
    /// <summary>Stores user credentials</summary>
    [Author("Bartłomiej Legiędź")]
    public class UserCredential
    {
        /// <summary>URI of the server</summary>
        public string Server { get; set; }

        /// <summary>The domain for the user</summary>
        public string Domain { get; set; }

        /// <summary>User name</summary>
        public string UserName { get; set; }

        /// <summary>User's password</summary>
        public string Password { get; set; }

        public UserCredential() { }

        public UserCredential(string server, string domain, string userName, string password)
        {
            this.Server = server;
            this.Domain = domain;
            this.UserName = userName;
            this.Password = password;
        }
    }
}
