using System.Drawing;
using System.Windows.Forms;
using Nuwanda.Common;

namespace Nuwanda.Windows.Forms
{
    /// <summary>Item hosted in <see cref="ListBox"/></summary>
    [Author("Bartomiej Legid")]
    public interface IListBoxItem
    {
        /// <summary>Measure the item</summary>
        /// <param name="e">Arguments from <see cref="ListBox"/></param>
        /// <returns>Size of an item</returns>
        Size Measure(MeasureItemEventArgs e);

        /// <summary>Draw item</summary>
        /// <param name="e">Arguments from <see cref="ListBox"/></param>
        void Draw(DrawItemEventArgs e);

        /// <summary>React to mouse double click</summary>
        /// <param name="e">Arguments from <see cref="ListBox"/></param>
        void HandleDoubleClick(MouseEventArgs e);
    }
}