using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Data;
using StructureMap;
using StructureMap.Attributes;

namespace Nuwanda.TfsSpotlight.Services.Interfaces
{
    [Author("Bartomiej Legid")]
    [PluginFamily("HistoryService", Scope = InstanceScope.Singleton)]
    public interface IHistoryService
    {
        /// <summary>Retrieves saved history list</summary>
        /// <returns>History entity</returns>
        History GetHistory();

        /// <summary>Registers given <paramref name="operation"/> in history store</summary>
        /// <param name="operation">Operation to register</param>
        void RegisterOperation(HistoryEntry operation);

        /// <summary>Clears the history.</summary>
        void ClearHistory();
    }
}