using Microsoft.TeamFoundation.Build.Common;
using Microsoft.TeamFoundation.Build.Proxy;
using Microsoft.TeamFoundation.Server;
using Microsoft.TeamFoundation.VersionControl.Client;
using Microsoft.TeamFoundation.WorkItemTracking.Client;
using Nuwanda.Common;
using StructureMap;

namespace Nuwanda.TfsSpotlight.TFS
{
    [Author("Bartomiej Legid")]
    [PluginFamily("TeamFoundationServer")]
    public interface ITeamFoundationServer
    {
        void Authenticate();
        bool HasAuthenticated { get; }
        string UserName { get; }
        WorkItemStore GetWorkItemStore();
        void Dispose();
        BuildStore GetBuildStore();
        VersionControlServer GetVersionControlServer();
        ICommonStructureService GetStructureService();
        BuildController GetBuildController();
        IBuildAgent GetBuildAgent();
    }
}