using System;
using System.Collections.Generic;
using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Data;
using StructureMap;

namespace Nuwanda.TfsSpotlight.TFS
{
    [Author("Bartomiej Legid")]
    [PluginFamily("TfsServerRepository", IsSingleton=true)]
    public interface ITfsServerRepository
    {
        ITfsServerManager GetServer(ServerDescriptor serverDecriptor);
        event EventHandler<ServerEventArgs> ServerConnected;
        event EventHandler<ServerEventArgs> ServerDisconnected;
        IEnumerable<ITfsServerManager> GetConnectedServers();
        ITfsServerManager GetServer(string serverUrl);
        event EventHandler<ServerEventArgs> ServerProjectsLoaded;
        IEnumerable<ITfsServerManager> GetAllServers();
    }
}