using Microsoft.TeamFoundation.Build.Common;
using Microsoft.TeamFoundation.Build.Proxy;
using Microsoft.TeamFoundation.Server;
using Microsoft.TeamFoundation.VersionControl.Client;
using Microsoft.TeamFoundation.WorkItemTracking.Client;
using Nuwanda.Common;
using StructureMap;

namespace Nuwanda.TfsSpotlight.TFS
{
    [Author("Bartomiej Legid")]
    [Pluggable("TeamFoundationServer")]
    public class TeamFoundationServer : ITeamFoundationServer
    {
        private readonly Microsoft.TeamFoundation.Client.TeamFoundationServer _teamTeamFoundationServer;

        public TeamFoundationServer(Microsoft.TeamFoundation.Client.TeamFoundationServer teamFoundationServer)
        {
            this._teamTeamFoundationServer = teamFoundationServer;
        }

        public void Authenticate()
        {
            this._teamTeamFoundationServer.Authenticate();
        }

        public bool HasAuthenticated
        {
            get { return this._teamTeamFoundationServer.HasAuthenticated; }
        }

        public WorkItemStore GetWorkItemStore()
        {
            return this._teamTeamFoundationServer.GetService(typeof (WorkItemStore)) as WorkItemStore;
        }

        public IBuildAgent GetBuildAgent()
        {
            return this._teamTeamFoundationServer.GetService(typeof (IBuildAgent)) as IBuildAgent;
        }

        public BuildController GetBuildController()
        {
            return this._teamTeamFoundationServer.GetService(typeof(BuildController)) as BuildController;
        }

        public ICommonStructureService GetStructureService()
        {
            return this._teamTeamFoundationServer.GetService(typeof(ICommonStructureService)) as ICommonStructureService;
        }
        
        public VersionControlServer GetVersionControlServer()
        {
            return this._teamTeamFoundationServer.GetService(typeof(VersionControlServer)) as VersionControlServer;
        }

        public BuildStore GetBuildStore()
        {
            return this._teamTeamFoundationServer.GetService(typeof(BuildStore)) as BuildStore;
        }

        public void Dispose()
        {
            this._teamTeamFoundationServer.Dispose();
        }

        public string UserName
        {
            get { return this._teamTeamFoundationServer.AuthenticatedUserName; }
        }
    }
}