using Nuwanda.Common;
using StructureMap;

namespace Nuwanda.TfsSpotlight.TFS
{
    [Author("Bartomiej Legid")]
    [Pluggable("TeamFoundationServerFactory")]
    public class TeamFoundationServerFactory : ITeamFoundationServerFactory
    {
        public ITeamFoundationServer GetServer(string name)
        {
            return new TeamFoundationServer(Microsoft.TeamFoundation.Client.TeamFoundationServerFactory.GetServer(name));
        }

        public ITeamFoundationServer GetServer(string name, Microsoft.TeamFoundation.Client.ICredentialsProvider credentialsProvider)
        {
            return new TeamFoundationServer(Microsoft.TeamFoundation.Client.TeamFoundationServerFactory.GetServer(name, credentialsProvider));
        }
    }
}