using System;
using System.Diagnostics;
using System.IO;
using System.Reflection;
using Nuwanda.Common;

namespace Nuwanda.TfsSpotlight.Views.About
{
    [Author("Bartomiej Legid")]
    public class AboutPresenter
    {
        private const string ApplicationVersionFinal = "{0}.{1}";
        private const string ApplicationVersionBeta = "{0}.{1} BETA";

        private AboutView View { get; set; }

        public AboutPresenter(AboutView view)
        {
            View = view;
        }

        public void Initialize(bool isBeta)
        {
            this.View.AttachPresenter(this);

            var assembly = Assembly.GetExecutingAssembly();
            var version = assembly.GetName().Version;
            this.View.Version = String.Format(isBeta ? ApplicationVersionBeta : ApplicationVersionFinal, version.Major, version.Minor);
            this.View.SetImage(isBeta ? Properties.Resources.AboutBeta : Properties.Resources.About);
            HandleRefreshApplicationLog();
        }

        public void HandleWebsiteLinkClicked()
        {
            Process.Start("http://www.codeplex.com/tfsspotlight");
        }

        public void HandleRefreshApplicationLog()
        {
            try
            {
                var tempCopy = new FileInfo("TfsSpotlight.log").CopyTo("temp", true);
                this.View.ApplicationLogText = File.ReadAllText("temp");
                tempCopy.Delete();

            }
            catch(Exception) {}
        }
    }
}