﻿using System;
using System.Drawing;
using System.Windows.Forms;
using ComponentFactory.Krypton.Toolkit;
using Nuwanda.Common;

namespace Nuwanda.TfsSpotlight.Views.About
{
    [Author("Bartłomiej Legiędź")]
    public partial class AboutView : KryptonForm
    {
        private AboutPresenter _presenter;

        public AboutView()
        {
            InitializeComponent();
        }

        private void HandleLinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            this._presenter.HandleWebsiteLinkClicked();
        }

        public void AttachPresenter(AboutPresenter presenter)
        {
            this._presenter = presenter;
        }

        public string Version
        {
            set { this.lblVersion.Text = value; }
        }

        public string ApplicationLogText
        {
            set { this.rtbApplicationLog.Text = value; }
        }

        private void RefreshButtonClickHandler(object sender, EventArgs e)
        {
            this._presenter.HandleRefreshApplicationLog();
        }

        public void SetImage(Bitmap bitmap)
        {
            this.tpAbout.BackgroundImage = bitmap;
        }
    }
}