using System.Collections.Generic;
using System.Windows.Forms.DataVisualization.Charting;
using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Data;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Views.ChartView
{
    [Author("Bartomiej Legid")]
    [PluginFamily("ChartModel")]
    public interface IChartModel
    {
        List<string> Fields { get; }
        List<string> ChartTypes { get; }
        ChartOptions ChartOptions { get; }
        string Title { get; }
        string Caption { get; }
        QueryDescriptor Query { get; }
        ChartArea ChartArea { get; }
        Title ChartTitle { get; }
        void Load(QueryDescriptor query, QueryResult queryResult);
        Series GenerateChartData();
        void UpdateChartStyle();
        void SetUpWorkItemFields();
        void SaveConfiguration();
    }
}