using System.Collections.Generic;
using System.Drawing;
using System.Drawing.Imaging;
using System.Windows.Forms.DataVisualization.Charting;
using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Data;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Views.ChartView
{
    [Author("Bartomiej Legid")]
    [PluginFamily("ChartView")]
    public interface IChartView
    {
        IChartPresenter Presenter { get; set; }
        void DisplayChart(Series series);
        void SetHeaderTitle(string title);
        void SetHeaderImage(Image image);
        void SetChartOptionsDataSource(ChartOptions options);
        void SetChartTypesDataSource(List<string> chartTypes);
        Image GetImage(ImageFormat format);
        void SetChartArea(ChartArea chartArea);
        void SetWorkItemFields(List<string> fields);
        void ClearChart();
        void DisableControlPanel();
        void EnableControlPanel();
        void ShowProgress();
        void HideProgress();
        void SetChartTitle(Title title);
        void SelectChartType(string chartType);
    }
}