using System.Collections.Generic;
using System.Windows.Forms;
using Microsoft.TeamFoundation.WorkItemTracking.Client;
using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Data;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Views.CreateWorkItem
{
    [Author("Bartomiej Legid")]
    [PluginFamily("CreateWorkItemView")]
    public interface ICreateWorkItemView
    {
        void AttachPresenter(ICreateWorkItemPresenter presenter);
        List<ServerDescriptor> DataSource { set; }
        bool EnableCreate { set; }
        DialogResult ShowDialog();
        WorkItemType GetSelectedType();
        ServerDescriptor GetSelectedServer();
        void Close();
        void SelectServer(ServerDescriptor server);
        void SelectProject(ProjectDescriptor project);
        void SelectWorkItemType(WorkItemType workItemType);
    }
}