using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Data;
using System.Windows.Forms;
using StructureMap;
using StructureMap.Attributes;

namespace Nuwanda.TfsSpotlight.Views.GoToWorkItem
{
    [Author("Bartomiej Legid")]
    [PluginFamily("GoToWorkItemPresenter", Scope = InstanceScope.Singleton)]
    public interface IGoToWorkItemPresenter
    {
        int WorkItemId { get; }
        ServerDescriptor SelectedServer { get; }
        int ServersCount { get; }
        ProjectDescriptor SelectedProject { get; }
        string SearchString { get; }

        void Initialize();
        void Focus();

        void HandleExecute();
        void HandleKeyDown(Keys key);
        void HandleDropDownOpening();
    }
}