using System.Collections.Generic;
using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Data;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Views.Options
{
    [Author("Bartomiej Legid")]
    [PluginFamily("OptionsView")]
    public interface IOptionsView
    {
        void AttachPresenter(IOptionsPresenter presenter);
        ApplicationSettings DataSource { set; }
        List<ServerSettingsItem> ServersDataSource { set; }
        void SelectServer(ServerSettingsItem server);
        void Disable();
        void Enable();
        ServerSettingsItem GetSelectedServer();
        void RefreshSelectedItem();
    }
}