using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Data;
using Nuwanda.TfsSpotlight.Shell.Services.Interfaces;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Views.Project
{
    [Author("Bartomiej Legid")]
    [Pluggable("ProjectPresenter")]
    public class ProjectPresenter : IProjectPresenter
    {
        private IProjectTreeBuilder ProjectTreeBuilder { get; set; }
        private IMenuService MenuService { get; set; }
        private readonly IProjectView _view;

        public ProjectPresenter(IProjectView view, IProjectTreeBuilder projectTreeBuilder, IMenuService menuService)
        {
            ProjectTreeBuilder = projectTreeBuilder;
            MenuService = menuService;
            this._view = view;
        }

        public IProjectView Initialize(ProjectDescriptor project)
        {
            this._view.AttachPresenter(this);
            
            this._view.Text = project.Name;
            this._view.Tag = project;
            this._view.AddQueries(this.ProjectTreeBuilder.Build(project));

            this._view.ContextMenuStrip = this.MenuService.GetContextMenu(ContextMenusNames.Project);

            return this._view;
        }
    }
}