using System;
using System.Windows.Forms;
using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Views.Servers;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Views.Project
{
    [Author("Bartomiej Legid")]
    [Pluggable("ProjectView")]
    public class ProjectView : TreeNode, IProjectView
    {
        private ProjectPresenter _presenter;

        public ProjectView()
        {
            this.ImageIndex = (int)ServersNodeIcon.Project;
            this.SelectedImageIndex = (int)ServersNodeIcon.Project;
        }

        public void AddQueries(TreeNode[] queries)
        {
            if (this.TreeView != null && this.TreeView.InvokeRequired)
            {
                this.TreeView.Invoke(new Action(() => this.AddQueries(queries)));
                return;
            }

            this.Nodes.Clear();
            this.Nodes.AddRange(queries);
        }

        public void AttachPresenter(ProjectPresenter presenter)
        {
            this._presenter = presenter;
        }
    }
}