using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Data;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Views.Query
{
    [Author("Bartomiej Legid")]
    [PluginFamily("QueryPresenter")]
    public interface IQueryPresenter : IWorkItemInfo, IProjectInfo
    {
        int SelectedWorkItemId { get; }
        ServerDescriptor Server { get; }
        bool IsWorking { get; }
        QueryResult DataSource { get; }
        QueryDescriptor Query { get; }

        void Initialize(QueryDescriptor query);
        void HandleSelectNextWorkItem();
        void HandleSelectPreviousWorkItem();
        void HandleSelectedWorkItemChanged();
        void HandleDetailsPanelDoubleClick();
        void HandleRefreshWorkItem();
        void HandleLoadWorkItem();
        void HandleSaveAll();
        void HandleWorkItemDoubleClicked();
        void HandleWorkItemDataChanged();
        void Initialize(string searchText, ProjectDescriptor project);
        bool EmbeddedWorkItemCommandsAcivator();
    }
}