using System.Windows.Forms;
using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Data;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Views.Server
{
    [Author("Bartomiej Legid")]
    [PluginFamily("ServerPresenter")]
    public interface IServerPresenter
    {
        void Initialize(ServerDescriptor serverDescriptor);
        void HandleConnect();
        bool CanConnect { get; }
        bool CanDisconnect { get; }
        bool IsConnected { get; }
        IServerView View { get; }
        ServerDescriptor ServeDescriptor { get; }
        bool IsConnectionLost { get; }
        bool CanReconnect { get; }
        bool CanRefreshProjects { get; }
        void HandleAutoConnect();
        void HandleDisconnect();
        event MethodInvoker ServerStatusChanged;
        void HandleRefreshProjects();
        void HandleReconnect();
    }
}