using System.Windows.Forms;
using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Views.Project;
using Nuwanda.TfsSpotlight.Views.Servers;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Views.Server
{
    [Author("Bartomiej Legid")]
    [PluginFamily("ServerView")]
    public interface IServerView
    {
        void AttachPresenter(IServerPresenter presenter);
        string Text { get; set; }
        string ToolTipText { get; set; }
        IServerPresenter Presenter { get; }
        ContextMenuStrip ContextMenu { set; }
        void ShowInfo(string message, ServersNodeIcon icon);
        void ClearProjects();
        void HideInfo();
        void SetIcon(ServersNodeIcon icon);
        void AddProject(IProjectView projectView);
        void SetText(string name);
    }
}