using System.Windows.Forms;
using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Data;
using Nuwanda.TfsSpotlight.Views.Server;
using StructureMap;
using StructureMap.Attributes;

namespace Nuwanda.TfsSpotlight.Views.Servers
{
    [Author("Bartomiej Legid")]
    [PluginFamily("ServersPresenter", Scope = InstanceScope.Singleton)]
    public interface IServersPresenter
    {
        IServersView Initialize();
        void HandleConnectSelected();
        void HandleAutoConnect();
        void HandleDisconnectSelected();
        void HandleDisconnectAll();
        void InvalidateHandledCommands();
        Control ViewControl { get; }
        QueryDescriptor GetSelectedQuery();
        void HandleServerRemoved(ServerDescriptor serverDescriptor);
        void HandleServerAdded(IServerPresenter serverPresenter);
        IServerPresenter GetSelectedServer();
        BuildDescriptor GetSelectedBuild();
        ProjectDescriptor GetSelectedProject();
    }
}