using System.Collections.Generic;
using System.Windows.Forms;
using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Data;
using Nuwanda.TfsSpotlight.Views.Server;
using StructureMap;
using StructureMap.Attributes;

namespace Nuwanda.TfsSpotlight.Views.Servers
{
    [Author("Bartomiej Legid")]
    [PluginFamily("ServersView", Scope = InstanceScope.Singleton)]
    public interface IServersView
    {
        void AttachPresenter(ServersPresenter presenter);
        IEnumerable<IServerPresenter> DataSource { set; }
        IServerPresenter GetSelectedServer();
        QueryDescriptor GetSelectedQuery();
        void RemoveServerNode(TreeNode serverNode);
        void AddServerNode(TreeNode serverNode);
        BuildDescriptor GetSelectedBuild();
        ProjectDescriptor GetSelectedProject();
    }
}