using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Services.Interfaces;
using Nuwanda.TfsSpotlight.Shell.Services.Interfaces;
using Nuwanda.TfsSpotlight.Views.Server;
using System.Collections.Generic;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Views.Servers
{
    [Author("Bartomiej Legid")]
    [Pluggable("ServersModel")]
    public class ServersModel : IServersModel
    {
        public List<IServerPresenter> DataSource { get; private set; }

        private IUserSettingsService UserSettingsService { get; set; }
        private IObjectFactory ObjectFactory { get; set; }

        public ServersModel(IUserSettingsService userSettingsService, IObjectFactory objectFactory)
        {
            this.UserSettingsService = userSettingsService;
            this.ObjectFactory = objectFactory;
        }

        public void Load()
        {
            this.DataSource = new List<IServerPresenter>();

            foreach (var server in this.UserSettingsService.GetServers())
            {
                var serverPresenter = this.ObjectFactory.GetInstance<IServerPresenter>();
                serverPresenter.Initialize(server);
                this.DataSource.Add(serverPresenter);
            }
        }
    }
}