using Microsoft.TeamFoundation.WorkItemTracking.Client;
using Nuwanda.TfsSpotlight.Data;
using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Shell.Proxies.Interfaces;
using Nuwanda.TfsSpotlight.Views.Query;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Views.WorkItems
{
    /// <summary>Represents a presenter for work item view embedded into query result view</summary>
    [Author("Bartomiej Legid")]
    [PluginFamily("EmbeddedWorkItemPresenter")]
    public interface IEmbeddedWorkItemPresenter : ITabPresenter
    {
        /// <summary>Initializes the presenter</summary>
        void Initialize(ServerDescriptor server, IQueryPresenter parent);

        /// <summary>Enables the view</summary>
        void EnableView();

        /// <summary>Disables the view</summary>
        void DisableView();

        /// <summary>Loads given work item into the view</summary>
        void HandleLoad(WorkItem dataSource);

        /// <summary>Invalidates commands handled by this presenter</summary>
        void InvalidateHandledCommands();

        /// <summary>Disables commands handled by this presenter</summary>
        void DisableHandledCommands();
    }
}