using Microsoft.TeamFoundation.WorkItemTracking.Client;
using Nuwanda.TfsSpotlight.Data;
using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Shell.Proxies.Interfaces;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Views.WorkItems
{
    /// <summary>Represents a presenter for standalone work items forms that can be places on separate tabs</summary>
    [Author("Bartomiej Legid")]
    [PluginFamily("StandaloneWorkItemPresenter")]
    public interface IStandaloneWorkItemPresenter : IWorkItemInfo, ITabPresenter, IProjectInfo
    {
        /// <summary>Initializes the presenter</summary>
        /// <param name="workItemId"></param>
        /// <param name="server"></param>
        void Initialize(int workItemId, ServerDescriptor server);

        void Initialize(WorkItem workItem, ServerDescriptor server);
    }
}