using NUnit.Framework;
using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Commands;
using Nuwanda.TfsSpotlight.Shell.Services.Interfaces;
using Nuwanda.TfsSpotlight.Views.GoToWorkItem;
using Rhino.Mocks;

namespace TfsSpotlight.Tests.Commands
{
    [Author("Bartomiej Legid")]
    [TestFixture]
    public class ActivateGoToWorkItemBoxCommandTests
    {
        private MockRepository _mocks;
        private IGoToWorkItemPresenter _goToWorkItemPresenterMock;

        private ICommand _commandUnderTest;

        [SetUp]
        public void SetUp()
        {
            this._mocks = new MockRepository();
            this._goToWorkItemPresenterMock = this._mocks.StrictMock<IGoToWorkItemPresenter>();

            this._commandUnderTest = new ActivateGoToWorkItemBoxCommand(this._goToWorkItemPresenterMock);
        }

        [Test]
        public void WhenAskedTo_RunCommand_Should_FocusWorkItemIdTextBox()
        {
            using (this._mocks.Record())
            {
                this._goToWorkItemPresenterMock.Focus();
            }

            using (this._mocks.Playback())
            {
                this._commandUnderTest.Execute();
            }
        }
    }
}