using NUnit.Framework;
using Nuwanda.Common;

namespace TfsSpotlight.Tests.Data
{
    [Author("Bartomiej Legid")]
    [TestFixture]
    public class BaseEntityTests
    {
        [Test]
        public void When_CreatedNew_Should_NotBeDirty()
        {
            var entityUnderTests = new BaseEntityTestableStub();

            Assert.IsFalse((entityUnderTests.IsDirty));
        }

        [Test]
        public void When_NotDirty_And_PropertyChanged_Should_BecomeDirty()
        {
            var entityUnderTests = new BaseEntityTestableStub();
            entityUnderTests.IntProperty = 1;

            Assert.IsTrue(entityUnderTests.IsDirty);
        }
    }
}