using System;
using Nuwanda.TfsSpotlight.Data;
using System.Windows.Forms;
using Nuwanda.TfsSpotlight.Shell.Services.Interfaces;
using Nuwanda.TfsSpotlight.TFS;
using Nuwanda.TfsSpotlight.Views.GoToWorkItem;

namespace TfsSpotlight.Tests.Views
{
    public class GoToWorkItemPresenterTestableStub : GoToWorkItemPresenter
    {
        public GoToWorkItemPresenterTestableStub(
            IGoToWorkItemView view, IMenuService menuService, ITfsServerRepository tfsServerRepository, IClipboardService clipboardService)
            : base(view, menuService, tfsServerRepository, clipboardService) {}

        public void Test_AddServer(ServerDescriptor server)
        {
            this._registeredServers.Add(server, null);
        }

        public void Test_AddServer(ServerDescriptor server, ToolStripMenuItem item)
        {
            this._registeredServers.Add(server, item);
        }

        public void Test_SubscribeToEvents()
        {
            this.RegisterEvents();
        }

        public bool Test_ActivateGoToWorkItemCommad()
        {
            return this.ActivateGoToWorkItemCommad();
        }

        public void Test_HandleServerClicked(object sender, EventArgs e)
        {
            this.HandleServerClicked(sender, e);
        }
    }
}